# this script gets included by config_sessions

PLUGIN_NAME="remserial"
# all empty - do not create any menuitems
PLUGIN_MENUITEM_NAME=""
PLUGIN_MENUITEM_EXEC=""
PLUGIN_MENUITEM_PARAM=""
PLUGIN_MENUITEM_WORKDIR=""
PLUGIN_MENUITEM_ICON=""

PLUGIN_AUTOSTART=0

install_plugin()
{
	if [[ -z $(magequery -n remserial) ]]
	then
		MAGE_BOOTSTRAP=true mage install remserial
		mage clean
	fi
}

setup_plugin()
{
	# setup config
	[[ ! -d /etc/conf.d ]] && install /etc/conf.d
	:> /etc/conf.d/remserial
	echo 'REMOTE_HOST="128.20.1.52"' >> /etc/conf.d/remserial
	echo 'REMOTE_PORT="3302"' >> /etc/conf.d/remserial
	echo 'STTY_OPTS="9600 raw"' >> /etc/conf.d/remserial
	echo 'DEVICE="/dev/ttyS0"' >> /etc/conf.d/remserial
	echo 'EXTRA_OPTS="-x0"' >> /etc/conf.d/remserial

	# add to runlevels
	rc-config add remserial
}

# create desktop buttons
create_menuitem()
{
	# don't touch these echo, define variables above
	echo "PLUGIN_MENUITEM_NAME=\"${PLUGIN_MENUITEM_NAME}\""
	echo "PLUGIN_MENUITEM_EXEC=\"${PLUGIN_MENUITEM_EXEC}\""
	echo "PLUGIN_MENUITEM_PARAM=\"${PLUGIN_MENUITEM_PARAM}\""
	echo "PLUGIN_MENUITEM_WORKDIR=\"${PLUGIN_MENUITEM_WORKDIR}\""
	echo "PLUGIN_MENUITEM_ICON=\"${PLUGIN_MENUITEM_ICON}\""
}

autostart_plugin()
{
	echo "PLUGIN_AUTOSTART=\"${PLUGIN_AUTOSTART}\""
	echo "PLUGIN_MENUITEM_NAME=\"${PLUGIN_MENUITEM_NAME}\""
}

uninstall_plugin()
{
	# remove from runlevels
	rc-config del remserial

	if [[ -n $(magequery -n remserial) ]]
	then
		MAGE_BOOTSTRAP=true mage uninstall remserial
		mage clean
	fi

	# remove config files
	if [[ -f /etc/conf.d/remserial ]]
	then
		rm -f /etc/conf.d/remserial
	fi
}

case $1 in
	install) install_plugin ;;
	setup) setup_plugin ;;
	menuitem) create_menuitem ;;
	uninstall) uninstall_plugin ;;
	autostart) autostart_plugin ;;
	*) echo "PLUGIN '${PLUGIN_NAME}': unkown operation '$1'" ;;
esac
